Get Component Nodes
List a Component's nodes.
Component Identifier.
Page Number.
Page Size. Maximum allowed is 50.
Comma-separated list of node types
control-plane,worker
OK
{
"nodes": [
{
"size": "size",
"fqdn": "fqdn",
"ipAddress": "ipAddress",
"name": "name",
"id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"nodeType": "nodeType",
"version": "version",
"status": "status"
},
{
"size": "size",
"fqdn": "fqdn",
"ipAddress": "ipAddress",
"name": "name",
"id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"nodeType": "nodeType",
"version": "version",
"status": "status"
}
],
"pageMetadata": {
"pageNumber": 0,
"totalPages": 5,
"pageSize": 6,
"totalElements": 1
}
}
Nodes forming a Component (cluster) (mostly applicable for OVA components or VSP cluster itself).
Retrieves the parameters needed to help pagination on client.
Unauthorized
{
"code": "code",
"detail": "detail",
"message": {
"args": {
"cloudProxyFqdn": "cloudProxy1.vsphere.local"
},
"localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
"defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
"id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
},
"resolution": {
"args": {
"cloudProxyFqdn": "cloudProxy1.vsphere.local"
},
"localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
"defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
"id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
},
"referenceId": "referenceId",
"timestamp": "2000-01-23T04:56:07.000Z"
}
Unique error code for programmatic identification.
message
resolution
An identifier for tracing the error in the logs.
The date and time when the error occurred.
Freeform extra information, such as raw error payloads or additional context.
The specified resource was not found
{
"code": "code",
"detail": "detail",
"message": {
"args": {
"cloudProxyFqdn": "cloudProxy1.vsphere.local"
},
"localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
"defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
"id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
},
"resolution": {
"args": {
"cloudProxyFqdn": "cloudProxy1.vsphere.local"
},
"localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
"defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
"id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
},
"referenceId": "referenceId",
"timestamp": "2000-01-23T04:56:07.000Z"
}
Unique error code for programmatic identification.
message
resolution
An identifier for tracing the error in the logs.
The date and time when the error occurred.
Freeform extra information, such as raw error payloads or additional context.
Internal server error
"ErrorResponse Object"
Unique error code for programmatic identification.
message
resolution
An identifier for tracing the error in the logs.
The date and time when the error occurred.
Freeform extra information, such as raw error payloads or additional context.
curl -H 'Authorization: <value>' https://{api_host}/sddc-lcm/v1/components/{componentId}/nodes